﻿@model IEnumerable<MVC5ATM.Models.Transaction>

@{
    ViewBag.Title = "Statement";
}

<h2>Statement</h2>


<table class="table table-striped table-bordered">
    <thead>
		<tr>
			<td><strong>Transaction Id</strong></td>
			<td><strong>Amount</strong></td>
		</tr>
	</thead>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Id)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Amount)
        </td>
        @*<td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Id })
        </td>*@
    </tr>
}
	<tfoot>
		<tr>
			<td colspan="2">
				<span class="glyphicon glyphicon-circle-arrow-left" style="cursor:pointer;"></span>
				@*page number here*@
				<span class="glyphicon glyphicon-circle-arrow-right" style="cursor:pointer;"></span>
			</td>
		</tr>
	</tfoot>

</table>

<script src="~/Scripts/knockout-3.4.2.js"></script>
<script>
	function formattedPrice(amount) {
		var price = amount.toFixed(2);
		return price;
	}

	function StatementViewModel() {
		var self = this;

		self.transactions = []; //TODO: get transactions from server as json
		self.pageSize = 5;
		self.currentPage = ko.observable(1);
		self.currentTransactions = ko.computed(function () {
			var startIndex = (self.currentPage() - 1) * self.pageSize;
			var endIndex = startIndex + self.pageSize;
			return self.transactions.slice(startIndex, endIndex);
		});

		self.nextPage = function () {
			self.currentPage(self.currentPage() + 1);
		};

		self.previousPage = function () {
			self.currentPage(self.currentPage() - 1);
		};

	};
	ko.applyBindings(new StatementViewModel());
</script>